Method: iceberg.v1.restcatalog.extensions.projects.catalogs.list

Lists the Iceberg REST Catalogs.

HTTP request


GET https://biglake.googleapis.com/iceberg/v1/restcatalog/extensions/{parent=projects/*}/catalogs

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this catalog will be created. Format: projects/{projectId}

Query parameters

Parameters
view

enum (CatalogView)

Optional. The view of the catalog to return.

page-size

integer

Optional. The maximum number of catalogs to return. The service may return fewer than this value.

page-token

string

Optional. The page token, received from a previous catalogs.list call. Provide this to retrieve the subsequent page.

filter

string

Optional. The filter expression. The only parameter currently supported is filtering based on the IcebergCatalog.catalog_type field.

Examples: * catalogType = CATALOG_TYPE_BIGLAKE * catalogType != CATALOG_TYPE_GCS_BUCKET * catalogType = CATALOG_TYPE_BIGLAKE OR catalogType = CATALOG_TYPE_GCS_BUCKET * NOT catalogType = CATALOG_TYPE_GCS_BUCKET

Request body

The request body must be empty.

Response body

The response message for the catalogs.list API.

If successful, the response body contains data with the following structure:

JSON representation
{
  "iceberg-catalogs": [
    {
      object (IcebergCatalog)
    }
  ],
  "next-page-token": string,
  "unreachable": [
    string
  ]
}
Fields
iceberg-catalogs[]

object (IcebergCatalog)

Output only. The list of iceberg catalogs.

next-page-token

string

Output only. The next page token for pagination.

unreachable[]

string

Output only. The list of unreachable cloud regions. If non-empty, the result set might be incomplete.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

CatalogView

The enumeration of the views that can be returned.

Enums
CATALOG_VIEW_UNSPECIFIED Default/unset value. This value is treated the same as CATALOG_VIEW_BASIC.
CATALOG_VIEW_BASIC Include only the name and catalog type.
CATALOG_VIEW_FULL Include all fields of the catalog.